Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netlib.lapack
Class DPTTRF

    java.lang.Object
      org.netlib.lapack.DPTTRF

    public class DPTTRF

extends java.lang.Object

    DPTTRF is a simplified interface to the JLAPACK routine dpttrf.
    This interface converts Java-style 2D row-major arrays into
    the 1D column-major linearized arrays expected by the lower
    level JLAPACK routines.  Using this interface also allows you
    to omit offset and leading dimension arguments.  However, because
    of these conversions, these routines will be slower than the low
    level ones.  Following is the description from the original Fortran
    source.  Contact seymour@cs.utk.edu with any questions.

     *     ..
     *
     *  Purpose
     *  =======
     *
     *  DPTTRF computes the L*D*L' factorization of a real symmetric
     *  positive definite tridiagonal matrix A.  The factorization may also
     *  be regarded as having the form A = U'*D*U.
     *
     *  Arguments
     *  =========
     *
     *  N       (input) INTEGER
     *          The order of the matrix A.  N >= 0.
     *
     *  D       (input/output) DOUBLE PRECISION array, dimension (N)
     *          On entry, the n diagonal elements of the tridiagonal matrix
     *          A.  On exit, the n diagonal elements of the diagonal matrix
     *          D from the L*D*L' factorization of A.
     *
     *  E       (input/output) DOUBLE PRECISION array, dimension (N-1)
     *          On entry, the (n-1) subdiagonal elements of the tridiagonal
     *          matrix A.  On exit, the (n-1) subdiagonal elements of the
     *          unit bidiagonal factor L from the L*D*L' factorization of A.

     *          E can also be regarded as the superdiagonal of the unit
     *          bidiagonal factor U from the U'*D*U factorization of A.
     *
     *  INFO    (output) INTEGER
     *          = 0: successful exit
     *          < 0: if INFO = -k, the k-th argument had an illegal value
     *          > 0: if INFO = k, the leading minor of order k is not
     *               positive definite; if k < N, the factorization could not
     *               be completed, while if k = N, the factorization was
     *               completed, but D(N) <= 0.
     *
     *  =====================================================================
     *
     *     .. Parameters ..

Constructor Summary
`DPTTRF()`

Method Summary
`static void` | `DPTTRF(int n, double[] d, double[] e, intW info)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DPTTRF

    public DPTTRF()

Method Detail

### DPTTRF

    public static void DPTTRF(int n,
                              double[] d,
                              double[] e,
                              intW info)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD